Searching for puppetclass in json format gives 500 error
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing HostsController#index to json (for 10.22.2.15 at 2011-03-01 11:07:32) [GET]

  Parameters: {"search"=>{"name_like"=>"", "hostgroup_id_eq"=>"", "order"=>"", "alerts_disabled"=>

"0", "fact_values_fact_name_id_eq"=>"", "puppetclasses_id_eq"=>"76"}, "commit"=>"Go", "format"=>"j

son", "via"=>"fact_values_", "tab_name"=>

"", "action"=>"index", "controller"=>"hosts"}

ActiveRecord::StatementInvalid (Mysql::Error: Column 'name' in field list is ambiguous: SELECT nam

e FROM `hosts`   INNER JOIN `hosts_puppetclasses` ON `hosts_puppetclasses`.host_id = `hosts`.id  I

NNER JOIN `puppetclasses` ON `puppetclass

es`.id = `hosts_puppetclasses`.puppetclass_id  WHERE (puppetclasses.id = 76)  ORDER BY name):

  app/controllers/hosts_controller.rb:586:in `render_hosts'

  app/controllers/hosts_controller.rb:574:in `render_hosts'

  app/controllers/hosts_controller.rb:30:in `index'

  passenger (2.2.15) lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  passenger (2.2.15) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:441:in `start_request_hand

ler'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/utils.rb:252:in `safe_fork'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_appli

cation'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:163:in `start'

  passenger (2.2.15) lib/phusion_passenger/railz/application_spawner.rb:222:in `start'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

  passenger (2.2.15) lib/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

  passenger (2.2.15) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Associated revisions
History

#1 - 03/01/2011 02:47 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 7575622d84513a65f6f9c0478e0aa754265c18ff.

#2 - 03/09/2011 07:21 AM - Ohad Levy

- Category set to Search

- Status changed from Ready For Testing to Closed

- Assignee set to Ohad Levy

- Target version set to 0.2
